VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4785
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   4770
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   4785
   ScaleWidth      =   4770
   Begin VB.PictureBox picMap 
      AutoSize        =   -1  'True
      Height          =   4560
      Left            =   120
      Picture         =   "Form1.frx":0000
      ScaleHeight     =   4500
      ScaleWidth      =   4500
      TabIndex        =   0
      Top             =   120
      Width           =   4560
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' The radius of a dot.
Private Const DOT_R = 120
Private Const DOT_R2 = DOT_R * DOT_R

' The locations of the dots.
Private DotX As New Collection
Private DotY As New Collection

' Find the dot at this location. Return its index
' or -1 if there is no dot here.
Private Function FindDot(ByVal X As Single, ByVal Y As Single) As Integer
Dim i As Integer
Dim dx As Single
Dim dy As Single

    For i = 1 To DotX.Count
        ' See how far apart the dot and point are.
        dx = X - DotX(i)
        dy = Y - DotY(i)
        If dx * dx + dy * dy < DOT_R2 Then
            ' We found it.
            FindDot = i
            Exit Function
        End If
    Next i
    FindDot = -1
End Function

Private Sub Form_Load()
    picMap.ForeColor = vbRed
    picMap.FillColor = vbRed
    picMap.FillStyle = vbFSSolid
End Sub


' Make a new dot if there isn't one already here.
Private Sub picMap_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
Dim dot_index As Integer

    dot_index = FindDot(X, Y)
    If dot_index < 0 Then
        ' Make a new dot.
        DotX.Add X
        DotY.Add Y
    Else
        ' Remove the existing dot.
        DotX.Remove dot_index
        DotY.Remove dot_index
    End If

    ' Redraw the map.
    picMap.Refresh
End Sub

' Draw the dots on the map background.
Private Sub picMap_Paint()
Dim i As Integer

    picMap.Cls
    For i = 1 To DotX.Count
        picMap.Circle (DotX(i), DotY(i)), DOT_R
    Next i
End Sub


